UPM (Useful Packages & Modules) Sensor/Actuator repository for MRAA
==============

UPM is a high level repository for sensors that use MRAA. Each sensor links
to MRAA and are not meant to be interlinked although some groups of sensors
may be. Each sensor contains a header which allows to interface with it.
Typically a sensor is represented as a class and instantiated.

### Installing
To install a UPM module using npm simply type:

`npm install jsupm_<module-name>`

### Supported Sensors
The full list is available on [Intel® IoT Developer Zone](https://software.intel.com/iot/sensors).

### IDE Integration
Intel® XDK IoT Edition is the recommended IDE for Node.js development. Visit
the Intel® Developer Zone [IDE page](https://software.intel.com/iot/software/ide)
for more information on how to get started.

![Intel XDK](http://iotdk.intel.com/docs/master/upm/docs/icons/xdk.png)

### Building UPM
See building documentation [here](https://github.com/intel-iot-devkit/upm/blob/master/docs/building.md).

### Making your own UPM module
Our porting [link](https://github.com/intel-iot-devkit/upm/blob/master/docs/porting.md)
has more information on making new UPM modules. Also check out our main Github page as
we do have some guidelines if you would like to contribute your modules to the library.

### API Documentation
Our Node.js documentation pages are hosted [here](http://iotdk.intel.com/docs/master/upm/node/).
For other supported languages and their APIs please visit our main Github page.

### Changelog
Version changelog [here](https://github.com/intel-iot-devkit/upm/blob/master/docs/changelog.md).

### Known Limitations
List of known limitations [here](https://github.com/intel-iot-devkit/upm/blob/master/docs/knownlimitations.md).
